Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigLogger

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigLogger

extends java.rmi.Remote

The `RemoteConfigLogger` takes charge of managing and associating logger's properties.

Since:
  V8.1

Method Summary
`java.util.Vector` | `getAppenders()` Gets all output destinations (log4j's appenders) provided by JReport Server loggers.
`java.lang.String` | `getDescription()` Gets the logger description.
`java.lang.String` | `getErrorLevel()` Gets the logger's error level.
`java.lang.String` | `getLevel()` Deprecated. Please use customized error/trace level methods.
`java.lang.String` | `getName()` Gets the logger's displayed name.
`java.lang.String` | `getTraceLevel()` Gets the logger's trace level.
`boolean` | `isAdditivity()` Judges whether the additivity of the logger is true.
`void` | `setAdditivity(boolean value)` Sets the logger's property if it has been changed.
`void` | `setErrorLevel(java.lang.String value)` Sets the logger's error level value.
`void` | `setLevel(java.lang.String value)` Sets the logger level value.
`void` | `setTraceLevel(java.lang.String value)` Sets the logger's trace level value.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Gets the logger's displayed name.

  Returns:
    the logger's displayed name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDescription

    java.lang.String getDescription()
                                    throws java.rmi.RemoteException

  Gets the logger description.

  Returns:
    the logger description.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getErrorLevel

    java.lang.String getErrorLevel()
                                   throws java.rmi.RemoteException

  Gets the logger's error level. Note: the JReport Server logger's error level can only support the following possible values:

       "FATAL"

       "ERROR"

       "WARN"

  Returns:
    the logger's error level.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getTraceLevel

    java.lang.String getTraceLevel()
                                   throws java.rmi.RemoteException

  Gets the logger's trace level. Note: the JReport Server logger's trace level can only support the following possible values:

       "OUTLINE"

       "INFO"

       "TRIVIAL"

       "ALL"

  Returns:
    the logger's trace level.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setErrorLevel

    void setErrorLevel(java.lang.String value)
                       throws java.rmi.RemoteException

  Sets the logger's error level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setTraceLevel

    void setTraceLevel(java.lang.String value)
                       throws java.rmi.RemoteException

  Sets the logger's trace level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLevel

    void setLevel(java.lang.String value)
                  throws java.rmi.RemoteException

  Sets the logger level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isAdditivity

    boolean isAdditivity()
                         throws java.rmi.RemoteException

  Judges whether the additivity of the logger is true.

  Returns:
    true if the logger's Additivity is valid, or else false.
  Throws:
    `java.rmi.RemoteException`

### setAdditivity

    void setAdditivity(boolean value)
                       throws java.rmi.RemoteException

  Sets the logger's property if it has been changed.

  Parameters:
    `value` - the new Additivity boolean value.
  Throws:
    `java.rmi.RemoteException`

### getAppenders

    java.util.Vector getAppenders()
                                  throws java.rmi.RemoteException

  Gets all output destinations (log4j's appenders) provided by JReport Server loggers.

  Returns:
    all output destinations.
  Throws:
    `java.rmi.RemoteException`

### getLevel

    java.lang.String getLevel()
                              throws java.rmi.RemoteException

  Deprecated. Please use customized error/trace level methods.

  Gets the current logger level. Note: the JReport Server logger can only support the following possible levels:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the logger level.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD